import pygmi
from pygmi import *
from pygmi import events

# Keys
events.keydefs = dict(
    mod='Mod4',
    left='Left',
    down='Down',
    up='Up',
    right='Right')

# Theme
background = '#333333'
floatbackground='#222222'

wmii['font'] = '-*-clean-medium-r-*-*-12-*-*-*-*-*-iso10646-*'
wmii['normcolors'] = '#888888', '#222222', '#333333'
wmii['focuscolors'] = '#ffffff', '#285577', '#4c7899'

terminal = 'wmiir', 'setsid', 'uxterm'

@defmonitor
def battery(self):
    for line in open('/proc/acpi/battery/BAT1/state','r'):
        if len(line.split()) >= 3 and line.split()[0] == 'remaining':
            return line.split()[2] + 'mAh'
    return 'no battery info'
@defmonitor
def netz(self):
    return call('iwgetid', '-r')
from datetime import datetime
@defmonitor
def time(self):
    return datetime.now().strftime('%a %d %b %T')

wmii.tagrules = (
    ('MPlayer|VLC', '~'),
    ('Conkeror|Firefox|Opera|Shiretoko|Claws Mail|Sylpheed', 'netz'),
)
